# Generated from rescue_registry-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rescue_registry

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Registry for Rails Exceptions
License: MIT
URL: https://github.com/wagenet/rescue_registry
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
BuildRequires: ruby < 3.1
# BuildRequires: rubygem(appraisal) >= 2.2
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(kramdown-parser-gfm) >= 1.0
# BuildRequires: rubygem(kramdown-parser-gfm) < 2
# BuildRequires: rubygem(rouge) >= 3.3
# BuildRequires: rubygem(rouge) < 4
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
Registry for Rails Exceptions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 0.3.0-1
- Initial package
